Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalPopupMenuSeparatorUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.SeparatorUI
                  |
                  +--javax.swing.plaf.basic.BasicSeparatorUI
                        |
                        +--javax.swing.plaf.metal.MetalSeparatorUI
                              |
                              +--javax.swing.plaf.metal.MetalPopupMenuSeparatorUI

public class MetalPopupMenuSeparatorUI
extends MetalSeparatorUI

A Metal L&F implementation of PopupMenuSeparatorUI. This implementation is a "combined" view/controller.

Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`highlight, shadow`

Constructor Summary
`MetalPopupMenuSeparatorUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)`
`Dimension` | `getPreferredSize(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.metal.MetalSeparatorUI
`installDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`getMaximumSize, getMinimumSize, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalPopupMenuSeparatorUI

    public MetalPopupMenuSeparatorUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `MetalSeparatorUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `MetalSeparatorUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.